Update custom domain for a help center
curl --request PATCH \
--url https://helpcenter.thena.ai/help-centers/custom-domain/{helpCenterId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"defaultDomain": "support",
"customDomain": "help.thena.ai"
}
'import requests
url = "https://helpcenter.thena.ai/help-centers/custom-domain/{helpCenterId}"
payload = {
"defaultDomain": "support",
"customDomain": "help.thena.ai"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({defaultDomain: 'support', customDomain: 'help.thena.ai'})
};
fetch('https://helpcenter.thena.ai/help-centers/custom-domain/{helpCenterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"orgId": "EWWESHH5ED",
"name": "Thena Support Center",
"defaultDomain": "support.thena.ai",
"orgDomain": "thena.ai",
"isOnline": true,
"isProtected": false,
"shouldIndex": true,
"createdBy": "UWW7PBBOPJ",
"socialImages": {
"favicon": "https://example.com/favicon.ico",
"openGraphImage": "https://example.com/open-graph.jpg"
},
"stylingConfiguration": {
"body": {
"bgColor": "#FFFFFF",
"textColor": "#000000",
"actionColor": "#000000",
"designStyle": "card",
"radius": 10,
"pFont": "default",
"sFont": "default",
"displayAuthors": true
},
"header": {
"logo": "https://example.com/logo.png",
"title": "Thena Support Center",
"links": [
{
"name": "Home",
"url": "https://example.com"
}
],
"showBg": true,
"bgColor": "#FFFFFF",
"color": "#000000"
},
"hero": {
"message": "Welcome to Thena Support Center",
"background": {
"type": "color",
"color": "#FFFFFF"
},
"color": "#000000",
"height": 245,
"search": {
"len": "long",
"align": "left",
"justify": "bottom",
"radius": 10,
"placeholderText": "Search..."
}
},
"bodyBlocks": {
"collection": {
"layout": "one-column",
"style": "classic"
}
},
"collection": {
"displayDescription": true
},
"article": {
"displayTableOfContent": true,
"displayRelatedArticle": true
},
"footer": {
"logo": "https://example.com/logo.png",
"layout": "simple",
"text": "© 2024 Thena Support Center",
"bgColor": "#FFFFFF",
"color": "#000000",
"socialLinks": [
{
"type": "facebook",
"url": "https://www.facebook.com/thena.ai"
},
{
"type": "twitter",
"url": "https://www.twitter.com/thena.ai"
}
],
"links": [
{
"columnName": "Contact",
"data": [
{
"name": "Support",
"url": "https://example.com/support"
}
]
}
]
}
},
"aiData": {
"assistants": [
{
"name": "Assistant 1",
"assistantId": "123",
"vectorId": "456",
"assistantType": "default"
}
]
},
"meta": {
"title": "Thena Support Center",
"description": "Thena Support Center",
"image": "https://example.com/image.jpg"
},
"logo": "https://example.com/logo.png",
"customDomain": "support.thena.ai",
"gaId": "UA-1234567890"
},
"message": "Help center updated successfully."
}Help Centers
Update custom domain for a help center
PATCH
/
help-centers
/
custom-domain
/
{helpCenterId}
Update custom domain for a help center
Authorizations
Enter your API key
Path Parameters
Help Center ID in MongoDB ObjectId format
Example:
"507f1f77bcf86cd799439011"
Body
application/json
Custom domain update payload
⌘I